Remove Label from File/Folder

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API helps in removing labels from files and folders.

Endpoints

OAuth Scope

WorkDrive.files.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request DELETE \
  --url https://www.zohoapis.com/workdrive/api/v1/labels/{label_id}/relationships/files \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"resource_id":"ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2"},"id":"ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2","type":"files"}}'

Path Parameters

label_idstring(Required)

The unique ID of a label

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
resource_idstring(Required)

A unique ID of the file or folder

idstring(Required)

A unique ID of the file or folder

typestring(Required)

The JSON:API resource type. Always "files".

Allowed Values :
Show Values
filesCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "resource_id": "ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2"
      },
      "id": "ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2",
      "type": "files"
    }
  }
                
Show full

Response Example

R021

500
Copied!
  {
    "errors": [
      {
        "id": "R021",
        "title": "Invalid no of bulk action resources"
      }
    ]
  }
                
Show full